製品の互換性 

製品バージョン間の互換性とサポート状況。

DataStax EnterpriseとApache Cassandraの互換性 

以下の表に、サポートされているDataStax Enterpriseのバージョンとそれに対応するApache Cassandra™のバージョンを示します。
DataStax Enterprise Cassandra CQL
5.1 プロダクション向けに動作保証認定済みの 3.10 + 機能強化 3.4 + 機能強化
5.0 3.0 3.3
4.8 2.1 3.1
4.7 2.1 3.1

DataStax EnterpriseとApache CassandraとのOpsCenterの互換性 

OpsCenterバージョン Cassandraバージョン DataStax Enterpriseバージョン
6.0 サポートされなくなりました。「DataStax OpsCenterポリシーの変更」を参照してください。 4.7, 4.8, 5.0
5.2 2.0, 2.1 4.0, 4.5, 4.6, 4.7, 4.8
5.1.2, 5.1.3, 5.1.4 1.2, 2.0, 2.1 3.1, 3.2, 4.0, 4.5, 4.6, 4.7
5.0.2, 5.1.0, 5.1.1 1.2, 2.0 3.1, 3.2, 4.0, 4.5, 4.6
注: OpsCenterバージョン4.xから5.2.xへのアップグレードでは、まずバージョン5.1へのアップグレードが必要です。

DataStax EnterpriseとApache CassandraとのDataStaxドライバーの互換性 

ドライバー互換性マトリックス」を参照してください。

DataStax EnterpriseのEOLおよびEOSLソフトウェア 

以下の表に、EOL(End of Life:販売終了)とEOSL(End of Service Life:サポート終了)に到達したDataStax Enterpriseのバージョンとそれに対応するApache Cassandraのバージョンを示します。DataStaxでは、これらのバージョンはサポートされなくなりました。詳細については、「サポートされているソフトウェア」を参照してください。
DataStax Enterprise Cassandra
4.6(EOL) 2.0(サポートなし)
4.5(EOSL) 2.0(サポートなし)
4.0(EOSL) 2.0(サポートなし)
3.2(EOSL) 1.2(サポートなし)
3.1(EOSL) 1.2(サポートなし)
3.0(EOSL) 1.1(サポートなし)
2.2(EOSL) 1.1(サポートなし)
2.1(EOSL) 1.0(サポートなし)
2.0(EOSL) 1.0(サポートなし)
1.0(EOSL) 1.0(サポートなし)

DataStax OpsCenterのEOLおよびEOSLソフトウェア 

以下の表に、EOL(End of Life:販売終了)とEOSL(End of Service Life:サポート終了)に到達したDataStax OpsCenterのバージョンを示します。DataStaxでは、これらのバージョンはサポートされなくなりました。
OpsCenterバージョン ステータス
5.1 EOL
5.0 EOSL
4.1 EOSL
4.0 EOSL
3.1 EOSL
3.0 EOSL
2.1 EOSL
2.0 EOSL
1.4 EOSL

DataStax による Apache Cassandra のサポートについて 

DataStax による DataStax Community バージョンの Apache Cassandra™ および DataStax Distribution of Apache Cassandra™ のサポートは終了しています。入手可能な最後のバージョンは、Cassandra 3.0.9 および Cassandra 3.9 です。

ドキュメントの維持について 

製品が EOSL(End Of Service Life:サービス期間終了)を迎えると、当該製品のドキュメントの更新は行われなくなります。

Apache Cassandra 3.0 および Apache Cassandra 2.1 のドキュメントは、DataStax Enterprise の対応するバージョンが EOSL(End Of Service Life:サービス期間終了)を迎えるまでは維持されます。DataStax Enterprise をダウンロードすると、Cassandra の最新バージョンに DataStax による機能強化と修正を加えたものが入手できます。

Cassandra の一部のドキュメントは DataStax で現在維持していません。それらの最新版については Apache Cassandra のウェブサイトを参照してください。DataStax が用意した以下の Cassandra のドキュメントの内容が最後に更新されたのは 2017 年の 1 月初旬です。
  • Cassandra 1.2
  • Cassandra 2.0
  • Cassandra 2.2 Linux および Windows
  • Cassandra 3.0 Windows
  • Cassandra 3.x Linux および Windows

DataStax AMI のサポートについて 

DataStax は、DataStax ComboAMI を現在は提供していません。DataStax Enterprise をインストールする方法は2つあります。
Apache Cassandraのドキュメント
Apache Cassandraバージョン
3.0 Linux
3.x Linux
3.0 Windows
3.x Windows